Main Page Widgets Namespaces Book

# Gdk::Cursor Class Reference

List of all members.

## Detailed Description

This represents a cursor.

## Public Member Functions

| Cursor ()
| Cursor (GdkCursor* gobject, bool make_a_copy=true)
| Cursor (const Cursor& other)
Cursor& | operator= (const Cursor& other)
| ~Cursor ()
void | swap (Cursor& other)
GdkCursor* | gobj ()
| Provides access to the underlying C instance.
const GdkCursor* | gobj () const
| Provides access to the underlying C instance.
GdkCursor* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
| Cursor (CursorType cursor_type)
| Cursor (const Glib::RefPtr<Pixmap>& source, const Glib::RefPtr<Pixmap>& mask, const Color& fg, const Color& bg, int x, int y)
| Cursor (const Glib::RefPtr<Display>& display, CursorType cursor_type)
| Cursor (const Glib::RefPtr<Display>& display, const Glib::RefPtr<Pixbuf>& pixbuf, int x, int y)
Glib::RefPtr<Display> | get_display ()
| Returns the display on which the Gdk::Cursor is defined.
Glib::RefPtr<const Display> | get_display () const
| Returns the display on which the Gdk::Cursor is defined.

## Protected Attributes

GdkCursor* | gobject_

## Related Functions

(Note that these are not member functions.)
void | swap (Cursor& lhs, Cursor& rhs)
Gdk::Cursor | wrap (GdkCursor* object, bool take_copy=false)

## Constructor & Destructor Documentation

Gdk::Cursor::Cursor | ( |  | ) |

Gdk::Cursor::Cursor | ( | GdkCursor* | gobject,
|  | bool | make_a_copy = `true`
| ) | `[explicit]`

Gdk::Cursor::Cursor | ( | const Cursor& | other | ) |

Gdk::Cursor::~Cursor | ( |  | ) |

Gdk::Cursor::Cursor | ( | CursorType | cursor_type | ) | `[explicit]`

Gdk::Cursor::Cursor | ( | const Glib::RefPtr<Pixmap>& | source,
|  | const Glib::RefPtr<Pixmap>& | mask,
|  | const Color& | fg,
|  | const Color& | bg,
|  | int | x,
|  | int | y
| ) |

Gdk::Cursor::Cursor | ( | const Glib::RefPtr<Display>& | display,
|  | CursorType | cursor_type
| ) | `[explicit]`

Gdk::Cursor::Cursor | ( | const Glib::RefPtr<Display>& | display,
|  | const Glib::RefPtr<Pixbuf>& | pixbuf,
|  | int | x,
|  | int | y
| ) |

## Member Function Documentation

Glib::RefPtr<const Display> Gdk::Cursor::get_display | ( |  | ) | const

Returns the display on which the Gdk::Cursor is defined.

Returns:
  The Gdk::Display associated to cursor

Since: 2.2.

Glib::RefPtr<Display> Gdk::Cursor::get_display | ( |  | ) |

Returns the display on which the Gdk::Cursor is defined.

Returns:
  The Gdk::Display associated to cursor

Since: 2.2.

const GdkCursor* Gdk::Cursor::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C instance.

GdkCursor* Gdk::Cursor::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C instance.

GdkCursor* Gdk::Cursor::gobj_copy | ( |  | ) | const

| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

Cursor& Gdk::Cursor::operator= | ( | const Cursor& | other | ) |

void Gdk::Cursor::swap | ( | Cursor& | other | ) |

## Friends And Related Function Documentation

void swap | ( | Cursor& | lhs,
|  | Cursor& | rhs
| ) | `[related]`

Parameters:

  | lhs | The left-hand side
  | rhs | The right-hand side

Gdk::Cursor wrap | ( | GdkCursor* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GdkCursor* Gdk::Cursor::gobject_ `[protected]`

The documentation for this class was generated from the following file:

- cursor.h